Subject: Re: [Anima] Hackathon at IETF94 thoughts

From: Brian E Carpenter <[email-masked]>
Date: Fri, 13 Jan 2017 08:17:38 +1300

Apart from me and Michael, who else wants to work on code and run
it in Chicago on March 25 and 26? We need BRSKI, ACP and GRASP.

Regards
   Brian

On 30/12/2016 14:19, Michael Richardson wrote:
> 
> Brian and I have been discussing thoughts about an ANIMA Hackathon at IETF94.
> 
> The question has been: how much code would be ready, and how much
> interoperation could be actually attempt!
> 
> In my mind the first bakeoff/hackathon will likely be a bit underwhelming
> because people won't have enough code yet.  That's okay: the point is to
> invite people to come and consider how they are going to do things.
> i.e. this is as much marketing is it is interoperation, but it's
>      marketing to get participation in the future!!!!
> 
> We can't plan just the one hackathon.
> 
> From my point of view, I see the several stages/actors of bootstrap.
> I'm listing them because they can be mock'ed if someone has no code for this.
> 
> 1) registrar.
> 2) network of ACP nodes running GRASP, of which one is a willing proxy.
> 3) new pledge
> 4) vendor / manufacturer CA
> 
> I have some (RubyOnRails) code that can operate as a bit of a registrar, and
> I'll have more by March that can do more EST things, but the code I have now
> can be used to manually generate certificates.  So, ANIMA systems that
> don't have bootstrap code could be manually bootstrapped, and we likely will
> learn something doing that.
> 
> The network of ACP nodes running GRASP, at least on Linux, is "trivial" to
> setup in a mock situation.
> 
> At least, it's easy for me to do, and I would very much be happy to share
> that experience, so you'd have "installed ACP code".
> 
> Could we find someone with enough Microsoft Windows IPsec clue to set up
> tunnel on Windows, and figure out how to get the right certificates loaded?
> I dunno... maybe someone here knows how.  Also Cisco, Juniper, Ericsson, etc
> routers might be manually configured to do ACP tunnels; and we likely learn
> something trying to make things interoperate.
> 
> So even if we couldn't get RPL to operate across a multi-platform situation,
> we might still be able to, for instance, M_FLOOD something across a bunch of
> IPsec P2P tunnels connecting things.  That would be a significant
> accomplishment in my mind for a first attempt.
> 
> 
> --
> Michael Richardson <[email-masked]>, Sandelman Software Works
>  -= IPv6 IoT consulting =-
> 
> 
> 
> 
> 
> _______________________________________________
> Anima mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/anima
>

---

From: William Atwood <[email-masked]>
Date: Thu, 12 Jan 2017 15:27:08 -0500

Brian, Michael,

I am very interested in this work.  IF I can get somewhat up to speed,
and IF I can sort out the travel support, I would very much like to come
early to Chicago and participate in a Hackathon.  If it does not work
out, I live two hours from Ottawa by car, so I could possibly visit my
children and have a (smaller) hackathon in Ottawa with Michael.

I have in my lab at Concordia a collection of ten (older) PCs running
Ubuntu, plus two collections of 4 machines running a variety of Linux
flavors.  I don't have any IPv6 support (yet) in the lab, but the
university does have an IPv6 address range assigned, and I am sure that
I could get my hands on as many (small) pieces of this as I could need.
(If not, I can always set up my Freenet6 /56 at the university.
However, Freenet6 is about to go away...)

Getting up to speed is partly the reading that I have to do, and partly
finding a suitable Master's student to dig into the project.

For Chicago, I could probably bring three Dell Latitude laptops: E5450
(i5-5200U, Windows 7, Ubuntu), E6400 (Core 2 Duo P9500, Windows 7,
Ubuntu), C600 (Pentium III, Lubuntu only).

Bill

-- 

Dr. J.W. Atwood, Eng.             tel:   +1 (514) 848-2424 x3046
Distinguished Professor Emeritus  fax:   +1 (514) 848-2830
Department of Computer Science
   and Software Engineering
Concordia University EV 3.185     email:[email-masked]
1455 de Maisonneuve Blvd. West    http://users.encs.concordia.ca/~bill
Montreal, Quebec Canada H3G 1M8

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 13 Jan 2017 09:57:15 +1300

Great.

> but the
> university does have an IPv6 address range assigned

You don't even need it, if you can persuade your lab router
to announce a ULA prefix.

For my code, you need Python 3 but that seems to come with
recent Linux flavours.
https://www.cs.auckland.ac.nz/~brian/graspy/
(start with https://www.cs.auckland.ac.nz/~brian/graspy/graspy.pdf)

Regards
   Brian

---

From: Michael Richardson <[email-masked]>
Date: Thu, 12 Jan 2017 16:30:14 -0500

> However, Freenet6 is about to go away...)

While I strongly encourage you to go through the effort to get v6 into your
lab, you don't need externally functioning IPv6 to have the ACP work.

    > finding a suitable Master's student to dig into the project.

I am open to having a meet up among us, but it may be easier for me to bring
things to you in Feb or early March.  It would make sense to do that after
you have a student.  Or you can come visit me at my credil.org office, which
is in the innovation build of UQO.ca.  (Which can't even spell IPv6)